Installation

To start monitoring your code, first you need to add this library as a dependency to your project. This project is composed of multiple packages to make it easy for you to pick and choose what you require.

Available Packages:

dependency name notes
"com.avast.cloud" %% "datadog4s" % "0.31.0" all-you-can-eat … all the available packages
"com.avast.cloud" %% "datadog4s-api" % "0.31.0" api classes
"com.avast.cloud" %% "datadog4s-statsd" % "0.31.0" statsd implementation of api classes
"com.avast.cloud" %% "datadog4s-jvm" % "0.31.0" support for monitoring JVM itself
"com.avast.cloud" %% "datadog4s-http4s" % "0.31.0" monitoring support for [http4s][http4s] framework

For the bare minimum, you need to add datadog4s-api which contains classes defining our API. You also need to add its implementation. Currently, we only support metric delivery using StatsD in package datadog4s which already contains api. We are going to assume you are using sbt.

To explore how to use imported libraries, please read on

Note on compatibility

To pick the right version of datadog4s for your circumstance, please see the compatibility tables for cats-effect2 and cats-effect3:

cats-effect 3.x.x:

library 2.12 version 2.13 version 3.0.1 version
recommended datadog4s version 0.31.0 0.31.0 0.31.0
http4s version 0.23.6 0.23.6 0.23.6

cats-effect 2.x.x:

library 2.12 version 2.13 version 3.0.1 version
recommended datadog4s version 0.14.0 0.14.0 0.14.0
http4s version 0.22.1 0.22.1 0.22.1